# Uses of Class
org.apache.qpid.proton.engine.impl.DeliveryImpl

Packages that use DeliveryImpl
Package
Description
org.apache.qpid.proton.engine.impl

## Uses of DeliveryImpl in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return DeliveryImpl
Modifier and Type
Method
Description
`DeliveryImpl`
LinkImpl.`current()`
`DeliveryImpl`
LinkImpl.`delivery(byte[] tag)`
`DeliveryImpl`
LinkImpl.`delivery(byte[] tag, int offset, int length)`
`DeliveryImpl`
ConnectionImpl.`getWorkHead()`
`DeliveryImpl`
DeliveryImpl.`getWorkNext()`
`DeliveryImpl`
LinkImpl.`head()`
`DeliveryImpl`
DeliveryImpl.`next()`
Methods in org.apache.qpid.proton.engine.impl that return types with arguments of type DeliveryImpl
Modifier and Type
Method
Description
`Iterator<DeliveryImpl>`
ConnectionImpl.`getWorkSequence()`
Methods in org.apache.qpid.proton.engine.impl with parameters of type DeliveryImpl
Modifier and Type
Method
Description
`void`
ConnectionImpl.`removeTransportWork(DeliveryImpl delivery)`